Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## ix.util.lisp
Class Null

    java.lang.Object
      java.util.AbstractCollection<E>
          java.util.AbstractList<E>
              java.util.AbstractSequentialList
                  ix.util.lisp.LList
                      ix.util.lisp.Null

All Implemented Interfaces:
  LispObject, java.io.Serializable, java.lang.Comparable, java.lang.Iterable, java.util.Collection, java.util.List

    public final class Null

extends LList

The class of `Lisp.NIL`, and of nothing else.

See Also:
  Serialized Form

Field Summary

Fields inherited from class java.util.AbstractList
`modCount`

Constructor Summary
`Null()`

Method Summary
`LList` | `append(LList tail)`
`java.lang.Object` | `car()`
`LList` | `cdr()`
`int` | `compareTo(java.lang.Object o)`
`java.lang.Object` | `elementAt(int i)`
`java.util.Enumeration` | `elements()`
`boolean` | `equal(LList l)`
`boolean` | `find(java.lang.Object a)`
`boolean` | `isNull()`
`int` | `length()`
`protected java.lang.Object` | `readResolve()`
`java.lang.String` | `toString()`
`static Null` | `valueOf(java.lang.String name)`

Methods inherited from class ix.util.lisp.LList
`alistEntry, alistKeys, alistToMap, alistValue, clone, delete, drop, dropTo, flatmap, get, get, insert, intersect, isEmpty, iterator, lastCons, lastIndexOf, listIterator, LListify, mapc, mapcar, mapNth, mapToAlist, mapTree, newLList, permute, put, replaceAll, reverse, size, take, takeTo, toJavaString, walkTree, without, withoutAll, withoutFirst, withoutFirstEqual`

Methods inherited from class java.util.AbstractSequentialList
`add, addAll, remove, set`

Methods inherited from class java.util.AbstractList
`add, clear, equals, hashCode, indexOf, listIterator, removeRange, subList`

Methods inherited from class java.util.AbstractCollection
`addAll, contains, containsAll, remove, removeAll, retainAll, toArray, toArray`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Methods inherited from interface java.util.List
`addAll, contains, containsAll, remove, removeAll, retainAll, toArray, toArray`

Constructor Detail

### Null

    Null()

Method Detail

### isNull

    public boolean isNull()

  Specified by:
    `isNull` in class `LList`

### car

    public java.lang.Object car()

  Specified by:
    `car` in class `LList`

### cdr

    public LList cdr()

  Specified by:
    `cdr` in class `LList`

### length

    public int length()

  Specified by:
    `length` in class `LList`

### elementAt

    public java.lang.Object elementAt(int i)

  Specified by:
    `elementAt` in class `LList`

### elements

    public java.util.Enumeration elements()

  Specified by:
    `elements` in class `LList`

### equal

    public boolean equal(LList l)

  Specified by:
    `equal` in class `LList`

### find

    public boolean find(java.lang.Object a)

  Specified by:
    `find` in class `LList`

### append

    public LList append(LList tail)

  Specified by:
    `append` in class `LList`

### readResolve

    protected java.lang.Object readResolve()
                                    throws java.io.ObjectStreamException

  Throws:
    `java.io.ObjectStreamException`

### compareTo

    public int compareTo(java.lang.Object o)

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.util.AbstractCollection`

### valueOf

    public static Null valueOf(java.lang.String name)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD